package com.da.dangan.domain;

import com.da.common.annotation.Excel;
import com.da.common.core.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 常住人口登记对象 da_czrkdj
 * 
 * @author hs
 * @date 2024-05-08
 */
public class DaCzrkdj extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 目录id */
    @Excel(name = "目录id")
    private Long muId;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 户主姓名 */
    @Excel(name = "户主姓名")
    private String hzName;

    /** 与户主关系 */
    @Excel(name = "与户主关系")
    private String relation;

    /** 出生日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "出生日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date birthday;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    /** 籍贯 */
    @Excel(name = "籍贯")
    private String jiguan;

    /** 身份证号 */
    @Excel(name = "身份证号")
    private String cardId;

    /** 档案图片 */
    @Excel(name = "档案图片")
    private String pictures;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setMuId(Long muId) 
    {
        this.muId = muId;
    }

    public Long getMuId() 
    {
        return muId;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setHzName(String hzName) 
    {
        this.hzName = hzName;
    }

    public String getHzName() 
    {
        return hzName;
    }
    public void setRelation(String relation) 
    {
        this.relation = relation;
    }

    public String getRelation() 
    {
        return relation;
    }
    public void setBirthday(Date birthday) 
    {
        this.birthday = birthday;
    }

    public Date getBirthday() 
    {
        return birthday;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setJiguan(String jiguan) 
    {
        this.jiguan = jiguan;
    }

    public String getJiguan() 
    {
        return jiguan;
    }
    public void setCardId(String cardId) 
    {
        this.cardId = cardId;
    }

    public String getCardId() 
    {
        return cardId;
    }
    public void setPictures(String pictures) 
    {
        this.pictures = pictures;
    }

    public String getPictures() 
    {
        return pictures;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("muId", getMuId())
            .append("name", getName())
            .append("hzName", getHzName())
            .append("relation", getRelation())
            .append("birthday", getBirthday())
            .append("address", getAddress())
            .append("jiguan", getJiguan())
            .append("cardId", getCardId())
            .append("pictures", getPictures())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
